package intrinsic.flash.display;

public class MovieClip extends intrinsic.flash.display.Sprite {

	/** Accessors */
	public intrinsic.flash.display.Scene currentScene;
	public boolean trackAsMenu;
	public intrinsic.Array currentLabels;
	public int currentFrame;
	public int framesLoaded;
	public int totalFrames;
	public String currentLabel;
	public boolean enabled;
	public intrinsic.Array scenes;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public MovieClip() {
}


/** Static Methods */

/** Methods */
public native void play();
public native void nextScene();
public native void gotoAndPlay(Object arg0);
public native void gotoAndPlay(Object arg0, String arg1);
public native void nextFrame();
public native void prevFrame();
public native void stop();
public native void prevScene();
public native void gotoAndStop(Object arg0);
public native void gotoAndStop(Object arg0, String arg1);
public native void addFrameScript();

}
